# Contributing

When contributing to this repository, please first discuss the change you wish to make via issue before making a change.

## Pull Request Process

1. Ensure any install or build dependencies are removed before the end of the layer when doing a 
   build.
2. Update the README.md with details of changes to the interface.
3. Increase the version numbers in `setup.py`, `__init__.py`, any examples files, and the `README.md` to the new version that this
   Pull Request would represent. The versioning scheme we use is [SemVer](http://semver.org/).
4. You may merge the Pull Request in once you have the sign-off from the repositories owner, or it can be done for you.
